%define	upstream_name	 ExtUtils-ParseXS
%define upstream_version 3.57

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Converts Perl XS code into C code 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/K/KW/KWILLIAMS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.460.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-devel
BuildArch:  noarch

%description
ExtUtils::ParseXS will compile XS code into C code by embedding the constructs
necessary to let C functions manipulate Perl values and creates the glue
necessary to let Perl access those functions.  The compiler uses typemaps to
determine how to map C function parameters and variables to Perl values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
mv %{buildroot}/%{_bindir}/xsubpp        %{buildroot}/%{_bindir}/xsubpp.%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/xsubpp.1 %{buildroot}/%{_mandir}/man1/xsubpp.%{upstream_version}.1

%files 
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{perl_vendorlib}/ExtUtils
%{perl_vendorlib}/ExtUtils
%{perl_vendorlib}/perlxs*pod
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Mon May 19 2025 tv <tv> 3.570.0-1.mga10
+ Revision: 2184921
- update to 3.57

* Wed Sep 06 2023 tv <tv> 3.510.0-1.mga10
+ Revision: 1984783
- update to 3.51

* Mon Mar 21 2022 umeabot <umeabot> 3.440.0-2.mga9
+ Revision: 1815937
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 3.440.0-1.mga9
+ Revision: 1767725
- update to 3.44

* Wed Feb 12 2020 umeabot <umeabot> 3.350.0-4.mga8
+ Revision: 1504430
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.350.0-3.mga7
+ Revision: 1283650
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 3.350.0-2.mga7
+ Revision: 1164310
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 3.350.0-1.mga7
+ Revision: 1155879
- update to 3.35

* Sun Jun 19 2016 pterjan <pterjan> 3.300.0-3.mga6
+ Revision: 1027215
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 3.300.0-2.mga6
+ Revision: 969635
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 3.300.0-1.mga6
+ Revision: 873491
- update to 3.30

* Wed Oct 15 2014 umeabot <umeabot> 3.240.0-3.mga5
+ Revision: 742917
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.240.0-2.mga5
+ Revision: 684688
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 3.240.0-1.mga5
+ Revision: 602911
- update to 3.24

* Mon Feb 10 2014 jquelin <jquelin> 3.220.0-3.mga5
+ Revision: 587946
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 3.220.0-2.mga4
+ Revision: 533445
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 sander85 <sander85> 3.220.0-1.mga4
+ Revision: 473271
- update to 3.22

* Mon Aug 12 2013 sander85 <sander85> 3.210.0-1.mga4
+ Revision: 465669
- update to 3.21

* Wed Mar 27 2013 jquelin <jquelin> 3.180.0-3.mga3
+ Revision: 405482
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.180.0-2.mga3
+ Revision: 367047
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 3.180.0-1.mga3
+ Revision: 341879
- update to 3.18

* Thu Feb 23 2012 jquelin <jquelin> 3.150.0-1.mga2
+ Revision: 212873
- update to 3.15

* Wed Jan 04 2012 jquelin <jquelin> 3.110.0-1.mga2
+ Revision: 190542
- update to 3.11

* Fri Dec 09 2011 kharec <kharec> 3.70.0-1.mga2
+ Revision: 179426
- update to 3.07

* Wed Dec 07 2011 kharec <kharec> 3.60.0-1.mga2
+ Revision: 178218
- update to 3.06

* Fri Nov 04 2011 jquelin <jquelin> 3.50.0-2.mga2
+ Revision: 162809
- take priority over module bundled with perl 5.14.2

* Thu Oct 13 2011 jquelin <jquelin> 3.50.0-1.mga2
+ Revision: 154254
- update to 3.05
- rename /usr/bin script to prevent conflict with perl-devel
- update to 3.04

* Fri Feb 18 2011 jquelin <jquelin> 2.220.600-5.mga1
+ Revision: 53610
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 2.220.600-4.mga1
+ Revision: 24230
- fix specs
- imported package perl-ExtUtils-ParseXS

